# Crate crates_io

source ·

## Structs

- ApiError 🔒
- ApiErrorList 🔒
- Crate
- Crates 🔒
- NewCrate
- NewCrateDependency
- OwnerResponse 🔒
- OwnersReq 🔒
- R 🔒
- Registry
- TotalCrates 🔒
- User
- Users 🔒
- Warnings

## Enums

- Auth
- ResponseError

## Functions

- check_token
  Checks if a token is valid or malformed.
- is_url_crates_io
  Returns `true` if the host of the given URL is “crates.io”.
- reason 🔒